GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_STOP(1)

NAME

gcloud deployment-manager deployments stop - stop a pending or running deployment update or creation

SYNOPSIS

gcloud deployment-manager deployments stop DEPLOYMENT_NAME [--async] [--fingerprint=FINGERPRINT] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command will stop a currently running or pending operation on a deployment.

POSITIONAL ARGUMENTS

    DEPLOYMENT_NAME
        Deployment name.

FLAGS

    --async
        Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)

    --fingerprint=FINGERPRINT
        The fingerprint to use in requests to modify a deployment. If not specified, a get deployment request will be made to fetch the latest fingerprint. A fingerprint is a randomly generated value that is part of the update, stop, and cancel-preview request to perform optimistic locking. It is initially generated by Deployment Manager and changes after every request to modify data. The latest fingerprint is printed when deployment data is modified.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To stop a running operation on a deployment, run:
    $ gcloud deployment-manager deployments stop my-deployment
To issue a stop command without waiting for the operation to complete, run:
    $ gcloud deployment-manager deployments stop my-deployment --async
To stop a running operation on a deployment providing a fingerprint, run:
    $ gcloud deployment-manager deployments stop my-deployment \
        --fingerprint deployment-fingerprint